//
//	Legato Code Examples
//	--------------------
//
//	Decompress EDGARLink Internet Submission File
//
//	Group:		EDGAR
//	Title:		Decompress EIS File
//	Description:	Decompress EDGARLink Internet Submission File to plain EDGARLink XML file.
//	Revised:	12/16/2014
//
//	(c) Novaworks/PSG
//


    	string		fnSRC, fnDST, filters;
	int		rc;
	
     	filters = "All Files *.*|*.*&EDGARLink Internet Submission (*.eis)|*.eis";
	fnSRC = BrowseOpenFile("Decompress EIS - Source EIS File", filters);
        if (fnSRC == "") {
          exit;
          }
        fnDST = ClipFileExtension(fnSRC);
        fnDST = fnDST + ".xml";
     	filters = "All Files *.*|*.*&EDGAR XML (*.xml)|*.xml";
	fnDST = BrowseSaveFile("Decompress EIS - Destination XML File", filters, fnDST);
        if (fnDST == "") {
          exit;
          }

	rc = DecompressEIS(fnSRC, fnDST);        
        if (IsError(rc)) {
          MessageBox('X', "Conversion Failed %08X", rc);
          }
        else {
          MessageBox('I', "Conversion Complete!", rc);
          }
          
          
